float P1(float h) {
    float value = (h >= -1.0 && h <= 1.0) ? 0.5 : 0.0;

    return value;
}

float C1(float h) {
    float value = min(1.0, max(0.0, 0.5 * (h + 1.0)));

    return value;
}

float invC1(float U) {
    float h = max(-1.0, min(1.0, 2.0 * U - 1.0));

    return h;
}